/*
 * 文 件 名:  BaseMsg
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/2/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import java.util.Date;

/**
 * Mqtt交互消息
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/2/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class MqttCacheMsg {
    /**
     * 消息ID
     */
    private String messageId;

    /**
     * 设备代码
     */
    private String deviceCode;

    /**
     * 接收内容
     */
    private String payload;

    /**
     * 接收时间
     */
    private Date receiveTime;

    public MqttCacheMsg() {
    }

    public MqttCacheMsg(String messageId, String deviceCode, Date date, String receivePayload) {
        this.messageId = messageId;
        this.deviceCode = deviceCode;
        this.receiveTime = date;
        this.payload = receivePayload;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getPayload() {
        return payload;
    }

    public void setPayload(String payload) {
        this.payload = payload;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }
}